<?php

namespace App\Http\Middleware;

use Illuminate\Auth\Middleware\Authenticate as Middleware;

class Authenticate extends Middleware
{
    /**
     * Get the path the user should be redirected to when they are not authenticated.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return string|null
     */
    /*
    protected function redirectTo($request)
    {
        dd($request->expectsJson());
        if (! $request->expectsJson()) {
            return route('login');
        }
        else{
            return route('api');
        }
    }
    */
    protected function redirectTo($request) {
        return $request->expectsJson() || str_starts_with($request->path(), 'api/') ? null : '/login';  // Adjust to your admin path
    }
}
